List Prompts
curl --request GET \
--url https://server.promptwatch.com/api/v2/prompts \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/prompts"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/prompts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"prompts": [
{
"id": "6ba7b82e-9dad-11d1-80b4-00c04fd430c8",
"prompt": "What is the best workflow automation tool for finance teams?",
"type": "ORGANIC",
"intent": "INFORMATIONAL",
"isActive": true,
"languageCode": "en-US",
"llmMonitorId": "6ba7b815-9dad-11d1-80b4-00c04fd430c8",
"llmMonitor": {
"id": "6ba7b815-9dad-11d1-80b4-00c04fd430c8",
"name": "US English monitor"
},
"amountOfResponses": 36,
"averageVisibility": 49.5,
"volume": 8800,
"difficulty": 37,
"createdAt": "2026-02-05T11:00:00.000Z",
"updatedAt": "2026-03-29T18:20:00.000Z"
},
{
"id": "6ba7b82f-9dad-11d1-80b4-00c04fd430c8",
"prompt": "Example Brand vs Fabrikam for invoicing",
"type": "COMPETITOR_COMPARISON",
"intent": "BRANDED",
"isActive": true,
"languageCode": "en-US",
"llmMonitorId": "6ba7b815-9dad-11d1-80b4-00c04fd430c8",
"llmMonitor": {
"id": "6ba7b815-9dad-11d1-80b4-00c04fd430c8",
"name": "US English monitor"
},
"amountOfResponses": 12,
"averageVisibility": 61,
"volume": 2100,
"difficulty": 52,
"createdAt": "2026-02-05T11:00:00.000Z",
"updatedAt": "2026-03-29T18:20:00.000Z"
}
],
"total": 2,
"page": 1,
"size": 10,
"totalPages": 1
}Prompts
List Prompts
Get paginated list of prompts with search and filtering options
GET
/
prompts
List Prompts
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Query Parameters
Page number (1-based)
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Filter by monitor
Search query for prompt text (full-text search)
Filter by active/inactive status
Filter by prompt types
Available options:
ORGANIC, BRAND_SPECIFIC, COMPETITOR_COMPARISON Filter by prompt topic IDs. Repeat for multiple: topicIds=x&topicIds=y
Field to sort by
Available options:
createdAt, updatedAt, isActive, type, intent Sort order
Available options:
asc, desc